org.apache.fontbox.ttf

## Class NamingTable

- java.lang.Object
- - org.apache.fontbox.ttf.TTFTable
  - - org.apache.fontbox.ttf.NamingTable

    public class NamingTable
    extends TTFTable

This 'name'-table is a required table in a TrueType font.

Author:
  Ben Litchfield

### Field Summary

Fields
`static String` `TAG` A tag that identifies this table type.

### Fields inherited from class org.apache.fontbox.ttf.TTFTable

`initialized`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFontFamily()` Returns the font family name, in English.
`String` `getFontSubFamily()` Returns the font sub family name, in English.
`String` `getName(int nameId, int platformId, int encodingId, int languageId)` Returns a name from the table, or null it it does not exist.
`List<NameRecord>` `getNameRecords()` This will get the name records for this naming table.
`String` `getPostScriptName()` Returns the PostScript name.

### Methods inherited from class org.apache.fontbox.ttf.TTFTable

`getCheckSum, getInitialized, getLength, getOffset, getTag`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TAG

    public static final String TAG

A tag that identifies this table type.

See Also:
  Constant Field Values

### Method Detail

#### getName

    public String getName(int nameId,
                          int platformId,
                          int encodingId,
                          int languageId)

Returns a name from the table, or null it it does not exist.

Parameters:
  `nameId` - Name ID from NameRecord constants.
  `platformId` - Platform ID from NameRecord constants.
  `encodingId` - Platform Encoding ID from NameRecord constants.
  `languageId` - Language ID from NameRecord constants.
Returns:
  name, or null

#### getNameRecords

    public List<NameRecord> getNameRecords()

This will get the name records for this naming table.

Returns:
  A list of NameRecord objects.

#### getFontFamily

    public String getFontFamily()

Returns the font family name, in English.

Returns:
  the font family name, in English

#### getFontSubFamily

    public String getFontSubFamily()

Returns the font sub family name, in English.

Returns:
  the font sub family name, in English

#### getPostScriptName

    public String getPostScriptName()

Returns the PostScript name.

Returns:
  the PostScript name